from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError
from psycopg2 import sql, DatabaseError

from werkzeug import utils

class opendons_payment_batch(models.Model):
    _name = 'opendons_payment_batch'
    _description = 'manage payment batch'

    payment_mode=fields.Selection([('check', 'Check'),('credit card', 'Credit Card'),('pa', 'Prélèvement automatique') ],'Payment mode', default='check', required=True)
    
    
    # product_id=fields.Many2one(
    #     'product.product',
    #     string='Product',
    #     index=True,
    #     track_visibility='onchange',
    #     ondelete='restrict'
    # )

       
    operation_id=fields.Many2one(
        'opendons.operation',
        string='Operation',
       
        index=True,
        track_visibility='onchange',
        ondelete='restrict'
    )
    segment_id=fields.Many2one(
        'opendons.segment',
        string='Segment',
       
        index=True,
        track_visibility='onchange',
        ondelete='restrict'
    )

    # donation_ids = fields.One2many(
    #     'donation.donation',
    #     'payment_batch_id',
    #     string='donation',        
    #     track_visibility='onchange')


    payment_count=fields.Integer(string='payments count', readonly=True)
    payment_input=fields.Char('Input field')

    # payment_lines = fields.One2many(
    #     'opendons_payment_batch.lines',
    #     'payment_batch_id',
    #     string='Payment lines',        
    #     track_visibility='onchange')

    def action_ajouter_payment(self):

        return True
        
    class opendons_payment_batch_lines(models.Model):
        _name = 'opendons_payment_batch.lines'
        _description = 'manage payment batch lines'
        _inherits = {
            'donation.donation': 'donation_id',
        }

        # payment_batch_id = fields.Many2one(
        #     'opendons_payment_batch',
        #     string='Payment Batch',
        #     ondelete='set null'
        # )
    